Module tdlight.api
Package it.tdlight.jni

# Class TdApi.EditMessageText

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Message>
it.tdlight.jni.TdApi.EditMessageText

Enclosing class:
  TdApi

public static final class TdApi.EditMessageText extends TdApi.Function<TdApi.Message>
Edits the text of a message (or a text of a game message). Returns the edited message after the edit is completed on the server side.

Returns `Message`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
The chat the message belongs to.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.InputMessageContent`
`inputMessageContent`
New text content of the message.
`long`
`messageId`
Identifier of the message.
`TdApi.ReplyMarkup`
`replyMarkup`
The new message reply markup; pass null if none; for bots only.

## Constructor Summary

Constructors
Constructor
Description
`EditMessageText()`
Edits the text of a message (or a text of a game message).
`EditMessageText(long chatId, long messageId, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)`
Edits the text of a message (or a text of a game message).
`EditMessageText(DataInput input)`
Edits the text of a message (or a text of a game message).

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
The chat the message belongs to.

### messageId

public long messageId
Identifier of the message.

### replyMarkup

public TdApi.ReplyMarkup replyMarkup
The new message reply markup; pass null if none; for bots only.

### inputMessageContent

public TdApi.InputMessageContent inputMessageContent
New text content of the message. Must be of type inputMessageText.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### EditMessageText

public EditMessageText()
Edits the text of a message (or a text of a game message). Returns the edited message after the edit is completed on the server side.

Returns `Message`

### EditMessageText

public EditMessageText(long chatId, long messageId, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)
Edits the text of a message (or a text of a game message). Returns the edited message after the edit is completed on the server side.

Returns `Message`

Parameters:
  `chatId` - The chat the message belongs to.
  `messageId` - Identifier of the message.
  `replyMarkup` - The new message reply markup; pass null if none; for bots only.
  `inputMessageContent` - New text content of the message. Must be of type inputMessageText.

  Returns `Message`

### EditMessageText

public EditMessageText(DataInput input) throws IOException
Edits the text of a message (or a text of a game message). Returns the edited message after the edit is completed on the server side.

Returns `Message`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`